summaryrefslogtreecommitdiffstats
path: root/assets/hooks/pre-commit
diff options
context:
space:
mode:
Diffstat (limited to 'assets/hooks/pre-commit')
-rwxr-xr-xassets/hooks/pre-commit8
1 files changed, 8 insertions, 0 deletions
diff --git a/assets/hooks/pre-commit b/assets/hooks/pre-commit
new file mode 100755
index 00000000..6ad1ca2a
--- /dev/null
+++ b/assets/hooks/pre-commit
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -euf
+if which truth2json;then
+ truth2json >/dev/null && echo "db verified"
+else
+ echo "cannot verify as truth2json is not installed"
+fi
+